### Function

# Gimp ExportGetCapabilitiesFunc

since: 3.0

#### Declaration

    GimpExportCapabilities
    (* GimpExportGetCapabilitiesFunc) (
      GimpProcedure* procedure,
      GimpProcedureConfig* config,
      GimpExportOptions* options,
      gpointer get_capabilities_data
    )

#### Description [src]

This function returns the capabilities requested by your export procedure, depending on `config` or `options`.

Available since: 3.0

#### Parameters

`procedure`

  Type: `GimpProcedure`

  The `GimpProcedure` that runs.

  The data is owned by the caller of the function.

`config`

  Type: `GimpProcedureConfig`

  The `GimpProcedureConfig`.

  The data is owned by the caller of the function.

`options`

  Type: `GimpExportOptions`

  The `GimpExportOptions` object to update.

  The data is owned by the caller of the function.

`get_capabilities_data`

  Type: `gpointer`

  The `get_capabilities_data` argument given to `gimp_export_procedure_set_capabilities()`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GimpExportCapabilities`

A bitfield of the capabilities you want when preparing the image for exporting.